﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    [RequiresSkill(typeof(BakingSkill), 2)]
    public partial class AcornFlourRecipe :
        RecipeFamily
    {
        public AcornFlourRecipe()
        {
            var product = new Recipe(
                "Flour",
                Localizer.DoStr("Flour"),
                new IngredientElement[]
                {
                    new IngredientElement(typeof(AcornPowderItem), 2, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),
                },
                new CraftingElement<FlourItem>(1)
            );
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(AcornFlourRecipe), 1, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("Flour"), typeof(AcornFlourRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}
