﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    [RequiresSkill(typeof(CarpentrySkill), 1)]
    public partial class AdvancedStorageChestRecipe :
        RecipeFamily
    {
        public AdvancedStorageChestRecipe()
        {
            var product = new Recipe(
                "AdvancedStorageChest",
                Localizer.DoStr("Storage Chest"),
                new IngredientElement[]
                {
               new IngredientElement("Wood", 10, typeof(CarpentrySkill), typeof(CarpentryLavishResourcesTalent)),
                },
               new CraftingElement<StorageChestItem>()
            );
            this.Recipes = new List<Recipe> { product };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(CarpentrySkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(AdvancedStorageChestRecipe), 1, typeof(CarpentrySkill), typeof(CarpentryFocusedSpeedTalent), typeof(CarpentryParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("Storage Chest"), typeof(AdvancedStorageChestRecipe));
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }
}