﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    [RequiresSkill(typeof(CarpentrySkill), 1)]
    public partial class AdvancedStoreRecipe :
        RecipeFamily
    {
        public AdvancedStoreRecipe()
        {
            var product = new Recipe(
                "AdvancedStore",
                Localizer.DoStr("Store"),
                new IngredientElement[]
                {
               new IngredientElement("Wood", 10, typeof(CarpentrySkill), typeof(CarpentryLavishResourcesTalent)),
               new IngredientElement("Rock", 10, typeof(CarpentrySkill), typeof(CarpentryLavishResourcesTalent)),
                },
               new CraftingElement<StoreItem>()
            );
            this.Recipes = new List<Recipe> { product };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(CarpentrySkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(AdvancedStoreRecipe), 5, typeof(CarpentrySkill), typeof(CarpentryFocusedSpeedTalent), typeof(CarpentryParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("Store"), typeof(AdvancedStoreRecipe));
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }
}