﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    public partial class BasicDistributionStationRecipe :
        RecipeFamily
    {
        public BasicDistributionStationRecipe()
        {
            var product = new Recipe(
                "BasicDistributionStation",
                Localizer.DoStr("Distribution Station"),
                new IngredientElement[]
                {
               new IngredientElement("HewnLog", 10),
               new IngredientElement("WoodBoard", 10),
                },
               new CraftingElement<DistributionStationItem>()
            );
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(100);
            this.CraftMinutes = CreateCraftTimeValue(2);
            this.Initialize(Localizer.DoStr("Distribution Station"), typeof(BasicDistributionStationRecipe));
            CraftingComponent.AddRecipe(typeof(WorkbenchObject), this);
        }
    }
}
