﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;
    using Eco.Gameplay.Pipes.LiquidComponents;

    [RequiresSkill(typeof(OilDrillingSkill), 1)]
    public partial class CornToPetroleumRecipe :
        RecipeFamily
    {
        public CornToPetroleumRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Petroleum",
                    Localizer.DoStr("Petroleum"),
                    new IngredientElement[]
                    {
                        new IngredientElement(typeof(BarrelItem), 1, true),
                        new IngredientElement(typeof(CornmealItem), 8, typeof(OilDrillingSkill), typeof(OilDrillingLavishResourcesTalent)),
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<PetroleumItem>(),
                    }
                )
            };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(OilDrillingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CornToPetroleumRecipe), 10, typeof(OilDrillingSkill), typeof(OilDrillingFocusedSpeedTalent), typeof(OilDrillingParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("Petroleum"), typeof(CornToPetroleumRecipe));

            CraftingComponent.AddRecipe(typeof(OilRefineryObject), this);
        }
    }
}
