﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    public class DirtRecipe :
        RecipeFamily
    {
        public DirtRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Dirt",
                    Localizer.DoStr("Dirt"),
                    new IngredientElement[]
                    {
                    new IngredientElement("NaturalFiber", 10, true),
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<DirtItem>(1),
                    })
            };
            this.ExperienceOnCraft = 0;
            this.LaborInCalories = CreateLaborInCaloriesValue(20);
            this.CraftMinutes = CreateCraftTimeValue(0.16f);
            this.Initialize(Localizer.DoStr("Dirt"), typeof(DirtRecipe));
            CraftingComponent.AddRecipe(typeof(WorkbenchObject), this);
        }
    }
}
