namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
	
	[RequiresSkill(typeof(AdvancedSmeltingSkill), 1)]
    public class ProcessingTailingRecipe :
        RecipeFamily
    {
        public ProcessingTailingRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "ProcessTailings",
                    Localizer.DoStr("Process Tailings"),
                    new IngredientElement[]
                    {
                        new IngredientElement(typeof(TailingsItem), 5, true),
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<GarbageItem>(4),
                        new CraftingElement<SandItem>(0.1f),
                        new CraftingElement<IronConcentrateItem>(0.3f),
                    }
                )
            };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(200, typeof(AdvancedSmeltingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(ProcessingTailingRecipe), 2, typeof(AdvancedSmeltingSkill));
            this.Initialize(Localizer.DoStr("Process Tailings"), typeof(ProcessingTailingRecipe));
            CraftingComponent.AddRecipe(typeof(ScreeningMachineObject), this);
        }
    }
}
