namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

	[RequiresSkill(typeof(AdvancedSmeltingSkill), 5)]
    public class ProcessingWetTailingRecipe :
        RecipeFamily
    {
        public ProcessingWetTailingRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "ProcessWetTailings",
                    Localizer.DoStr("Process Wet Tailings"),
                    new IngredientElement[]
                    {
                        new IngredientElement(typeof(WetTailingsItem), 5, true),
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<GarbageItem>(4),
                        new CraftingElement<SandItem>(0.1f),
                        new CraftingElement<IronConcentrateItem>(0.15f),
                        new CraftingElement<CopperConcentrateItem>(0.1f),
                        new CraftingElement<GoldConcentrateItem>(0.05f),
                    }
                )
            };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(200, typeof(AdvancedSmeltingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(ProcessingWetTailingRecipe), 1.6f, typeof(AdvancedSmeltingSkill));
            this.Initialize(Localizer.DoStr("Process Wet Tailings"), typeof(ProcessingWetTailingRecipe));
            CraftingComponent.AddRecipe(typeof(FrothFloatationCellObject), this);
        }
    }
}
