namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    public partial class PropertyClaimRecipe :
        RecipeFamily
    {
        public PropertyClaimRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "LandClaimPaper",
                    Localizer.DoStr("Land Claim Paper"),
                    new IngredientElement[]
                    {
					new IngredientElement(typeof(LeatherHideItem), 1),
					new IngredientElement(typeof(ClothItem), 1),
                    new IngredientElement(typeof(PaperItem), 50),
					new IngredientElement(typeof(GoldFlakesItem), 10),
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<PropertyClaimItem>(1),
                    }
                )
            };
            this.ExperienceOnCraft = 0;
            this.LaborInCalories = CreateLaborInCaloriesValue(1200);
            this.CraftMinutes = CreateCraftTimeValue(90);
            this.Initialize(Localizer.DoStr("Land Claim Paper"), typeof(PropertyClaimRecipe));
            CraftingComponent.AddRecipe(typeof(CapitolObject), this);
        }
    }
}
