﻿namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [RequiresSkill(typeof(MillingSkill), 1)]
    public partial class SunflowerOilRecipe : RecipeFamily
    {
        public SunflowerOilRecipe()
        {
            var product = new Recipe(
                "Oil",
                Localizer.DoStr("Oil"),
                new IngredientElement[]
                {
                    new IngredientElement(typeof(SunflowerSeedItem), 12, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),   
                },
                new CraftingElement<OilItem>(1)
                );

            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(MillingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(SunflowerOilRecipe), 2, typeof(MillingSkill), typeof(MillingFocusedSpeedTalent), typeof(MillingParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("Oil"), typeof(SunflowerOilRecipe));
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }
}
